org.apache.jmeter.protocol.http.parser

## Class HTMLParseException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.jmeter.protocol.http.parser.LinkExtractorParseException
      - - org.apache.jmeter.protocol.http.parser.HTMLParseException

All Implemented Interfaces:
  Serializable

    public class HTMLParseException
    extends LinkExtractorParseException

Exception class for use with `HTMLParser` classes.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`HTMLParseException()`
`HTMLParseException(String message)`
`HTMLParseException(String message, Throwable cause)`
`HTMLParseException(String message, Throwable cause, boolean enableSuppression, boolean writableStackTrace)`
`HTMLParseException(Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### HTMLParseException

    public HTMLParseException()

#### HTMLParseException

    public HTMLParseException(String message)

#### HTMLParseException

    public HTMLParseException(Throwable cause)

#### HTMLParseException

    public HTMLParseException(String message,
                              Throwable cause)

#### HTMLParseException

    public HTMLParseException(String message,
                              Throwable cause,
                              boolean enableSuppression,
                              boolean writableStackTrace)